#!/bin/sh

if [ $# -ne 2 ]; then
    echo "$0 vxlanid dev"
    echo "f.i. $0 100 eno1"
    echo "Missing arguments" >&2
    exit 1
fi

netid=$1; shift
dev=$1; shift
vxlan=vxlan${netid}

if ! ip link show $vxlan > /dev/null 2> /dev/null; then
    ip -6 link add $vxlan type vxlan \
        id $netid \
        dstport 4789 \
        group ff05::$netid \
        dev $dev \
        ttl 5

    ip link set $dev up
    ip link set $vxlan up
fi

echo $vxlan